function ll = getLogLikelihood(lambda, labels, weight, extData, interception, rParameter)
% getLogLikelihood(lambda, labels, weight, extData, interception, rParameter)
% It gets the log-likelihood of the data
ll = -lambda * sum (( extData * weight' - interception) .* (labels<0.5));
ll = ll - sum(log( 1 + exp(-lambda *( extData * weight' - interception))));
% regularization terms
if rParameter == ~0
ll = ll + rParameter * sum(abs(weight));
end

    
    
    

